edu.northwestern.at.morphadorner.corpuslinguistics.postagger.transitionmatrix

## Class PennTreebankTransitionMatrix

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.transitionmatrix.TransitionMatrix
    - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.transitionmatrix.PennTreebankTransitionMatrix

- All Implemented Interfaces:
    UsesLogger

      public class PennTreebankTransitionMatrix
      extends TransitionMatrix

  Probability transition matrix for Penn Treebank tag set.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `transitionMatrixPath` Resource path for transition matrix.

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.transitionmatrix.TransitionMatrix

      `BIGRAM, bigramCountMap, bigramProbMap, bigramWeights, debug, haveProbabilities, logger, totalNGrams, totalWords, TRIGRAM, trigramCountMap, trigramProbMap, trigramWeights, UNIGRAM, unigramCountMap, unigramProbMap, uniqueNGrams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PennTreebankTransitionMatrix()` Create transition matrix.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.transitionmatrix.TransitionMatrix

      `calculateProbabilities, columnKeySet, computeBigramWeights, computeTrigramWeights, displayNGramCounts, getBigramWeights, getCount, getCount, getCount, getLogger, getProbability, getProbability, getProbability, getTotalWordCount, getTrigramWeights, incrementCount, incrementCount, incrementCount, loadTransitionMatrix, loadTransitionMatrix, loadTransitionMatrix, rowKeySet, safelyDivideCount, safelyDivideSmoothedCount, saveTransitionMatrix, saveTransitionMatrix, setLogger, sliceKeySet`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transitionMatrixPath

          protected static final java.lang.String transitionMatrixPath

      Resource path for transition matrix.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PennTreebankTransitionMatrix

          public PennTreebankTransitionMatrix()
                                       throws java.lang.Exception

      Create transition matrix.
      Throws:
        `java.lang.Exception`